Bug 1271626 (CVE-2015-7813, xsa146)

Summary: CVE-2015-7813 xen: Various unimplemented hypercalls log without rate limiting on ARM
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ailan, drjones, imammedo, knoel, mrezanin, pbonzini, rkrcmar, security-response-team, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-07 09:49:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1276344    
Bug Blocks: 1271637    
Attachments:
Description Flags
Upstream patch none

Description Adam Mariš 2015-10-14 12:07:55 UTC
A vulnerability allowing malicious guest to cause Denial of Service.

The HYPERVISOR_physdev_op hypercall and most suboperations of the HYPERVISOR_hvm_op hypercall are not currently implemented by Xen on ARM and when called will log the use to the hypervisor console. However these guest accessible log messages are not rate-limited. A malicious guest could cause repeated logging to the hypervisor console, leading to a Denial of Service attack.

Xen 4.4 and later systems running on ARM hardware are vulnerable.

Mitigation:

The problematic log messages are issued with priority Warning.

Therefore they can be rate limited by adding "loglvl=error/warning" to the hypervisor command line or suppressed entirely by adding "loglvl=error".

On systems where the guest kernel is controlled by the host rather than guest administrator, running only kernels which do not call these hypercalls will also prevent untrusted guest users from exploiting this issue. However untrusted guest administrators can still trigger it unless further steps are taken to prevent them from loading code into the kernel (e.g. by disabling loadable modules etc) or from using other mechanisms which allow them to run code at kernel privilege.

Comment 1 Adam Mariš 2015-10-14 12:08:49 UTC
Created attachment 1082802 [details]
Upstream patch

Comment 2 Martin Prpič 2015-10-29 13:38:28 UTC
External References:

http://xenbits.xen.org/xsa/advisory-146.html

Comment 3 Martin Prpič 2015-10-29 13:51:14 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1276344]

Comment 4 Fedora Update System 2015-11-08 22:20:49 UTC
xen-4.5.1-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-11-10 00:22:03 UTC
xen-4.5.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-10 00:50:11 UTC
xen-4.4.3-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.